<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateRecomentationsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: recomentations
         */
        Schema::create('recomentations', function ($table) {
            $table->increments('id');
            $table->string('title', 200)->nullable();
            $table->string('url', 200)->nullable();
            $table->integer('priority')->nullable();
            $table->string('type', 100)->nullable();
            $table->integer('assigned_id')->nullable();
            $table->integer('photos')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 50)->nullable();
            $table->package::package.fieldtype.ON(')')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('recomentations');
    }
}
