Lavalite package that provides recomentations management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `bixo/recomentations`.

    "bixo/recomentations": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Bixo\Recomentations\Providers\RecomentationsServiceProvider::class,

And also add it to alias

    'Recomentations'  => Bixo\Recomentations\Facades\Recomentations::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Bixo\\RecomentationsTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Bixo\Recomentations\Providers\RecomentationsServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Bixo\Recomentations\Providers\RecomentationsServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Bixo\Recomentations\Providers\RecomentationsServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/recomentations/{modulename}

**User**

    http://path-to-route-folder/user/recomentations/{modulename}

**Public**

    http://path-to-route-folder/recomentations


### API endpoints

**List**

    http://path-to-route-folder/api/user/recomentations/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/recomentations/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/recomentations/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/recomentations/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/recomentations/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/recomentations/{modulename}/{slug}
    METHOD: GET