<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for recomentation in recomentations package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  recomentation module in recomentations package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Recomentation',
    'names'         => 'Recomentations',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Recomentations',
        'sub'   => 'Recomentations',
        'list'  => 'List of recomentations',
        'edit'  => 'Edit recomentation',
        'create'    => 'Create new recomentation'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'title'                      => 'Please enter title',
        'url'                        => 'Please enter url',
        'priority'                   => 'Please enter priority',
        'type'                       => 'Please enter type',
        'assigned_id'                => 'Please enter assigned id',
        'photos'                     => 'Please enter photos',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        ')'                          => 'Please select )',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'title'                      => 'Title',
        'url'                        => 'Url',
        'priority'                   => 'Priority',
        'type'                       => 'Type',
        'assigned_id'                => 'Assigned id',
        'photos'                     => 'Photos',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        ')'                          => ')',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'title'                      => ['name' => 'Title', 'data-column' => 1, 'checked'],
        'url'                        => ['name' => 'Url', 'data-column' => 2, 'checked'],
        'priority'                   => ['name' => 'Priority', 'data-column' => 3, 'checked'],
        'type'                       => ['name' => 'Type', 'data-column' => 4, 'checked'],
        'assigned_id'                => ['name' => 'Assigned id', 'data-column' => 5, 'checked'],
        'photos'                     => ['name' => 'Photos', 'data-column' => 6, 'checked'],
        ')'                          => ['name' => ')', 'data-column' => 7, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Recomentations',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
