<?php

// API routes  for recomentation
Route::prefix('{guard}/recomentations')->group(function () {
    Route::get('recomentation/form/{element}', 'RecomentationAPIController@form');
    Route::resource('recomentation', 'RecomentationAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for recomentations
            Route::prefix('{guard}/recomentations')->group(function () {
                Route::get('recomentation/form/{element}', 'RecomentationAPIController@form');
                Route::apiResource('recomentation', 'RecomentationAPIController');
            });
            // Public routes for recomentations
            Route::get('recomentations/Recomentation', 'RecomentationPublicController@getRecomentation');
        }
    );
}

