<?php

// web routes  for recomentation
Route::prefix('{guard}/recomentations')->group(function () {
    Route::resource('recomentation', 'RecomentationResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'RecomentationResourceController');
            });
            // Public routes for pages
            Route::get('recomentations/', 'RecomentationPublicController@index');
            Route::get('recomentations/{slug?}', 'RecomentationPublicController@show');
        }
    );
}

